# TODO:
# - dtls (polarssl/mbedtls >= 1.4 with DTLS-SRTP support, not released yet)
#
# Conditional build:
%bcond_without	bcg729		# support for G279AnnexB in RTC3389 implementation of Comfort Noise Payload
%bcond_without	srtp		# SRTP (secure RTP) support
%bcond_without	zrtp		# support for RFC 6189: Media Path Key Agreement for Unicast Secure RTP
%bcond_without	matroska	# Matroska support via libebml2/libmatroska2
%bcond_without	opengl		# X11+OpenGL rendering support
%bcond_with	pcap		# audio playing from PCAP files
# audio I/O
%bcond_without	alsa		# ALSA sound I/O support
%bcond_with	arts		# aRts sound I/O support
%bcond_with	portaudio	# PortAudio sound I/O support
%bcond_without	pulseaudio	# PulseAudio sound I/O support
#
Summary:	Audio/Video real-time streaming
Summary(pl.UTF-8):	Przesyłanie strumieni audio/video w czasie rzeczywistym 
Name:		mediastreamer
Version:	2.11.2
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	http://download-mirror.savannah.gnu.org/releases/linphone/mediastreamer/%{name}-%{version}.tar.gz
# Source0-md5:	8b654c3e8938d50df9e83d2e353888a6
Patch0:		%{name}-imagedir.patch
URL:		http://www.linphone.org/technical-corner/mediastreamer2/overview
%{?with_opengl:BuildRequires:	OpenGL-GLX-devel}
BuildRequires:	SDL-devel >= 1.2.0
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
%{?with_bcg729:BuildRequires:	bcg729-devel >= 1.0}
%{?with_zrtp:BuildRequires:	bzrtp-devel >= 1.0.0}
BuildRequires:	doxygen
# libavcodec >= 51.0.0, libswscale >= 0.7.0
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-tools
%{?with_opengl:BuildRequires:	glew-devel >= 1.5}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	intltool >= 0.40
BuildRequires:	libgsm-devel
%{?with_pcap:BuildRequires:	libpcap-devel}
BuildRequires:	libtheora-devel >= 1.0-0.alpha7
BuildRequires:	libtool >= 2:2
BuildRequires:	libupnp-devel >= 1.6
BuildRequires:	libupnp-devel < 1.7
BuildRequires:	libv4l-devel
BuildRequires:	libvpx-devel >= 0.9.6
%{?with_matroska:BuildRequires:	matroska-foundation-devel}
BuildRequires:	opus-devel >= 0.9.0
BuildRequires:	ortp-devel >= 0.24.0
BuildRequires:	pkgconfig
BuildRequires:	polarssl-devel
%{?with_portaudio:BuildRequires:	portaudio-devel}
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel >= 0.9.21}
BuildRequires:	sed >= 4.0
BuildRequires:	spandsp-devel >= 0.0.6
BuildRequires:	speex-devel >= 1:1.2-beta3
BuildRequires:	speexdsp-devel >= 1.2-beta3
%{?with_srtp:BuildRequires:	srtp-devel}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xxd
%{?with_bcg729:Requires:	bcg729 >= 1.0}
%{?with_zrtp:Requires:	bzrtp >= 1.0.0}
%{?with_opengl:Requires:	glew >= 1.5}
Requires:	libtheora >= 1.0-0.alpha7
Requires:	libupnp >= 1.6
Requires:	libvpx >= 0.9.6
Requires:	opus >= 0.9.0
Requires:	ortp >= 0.24.0
%{?with_pulseaudio:Requires:	pulseaudio-libs >= 0.9.21}
Requires:	spandsp >= 0.0.6
Requires:	speex >= 1:1.2-beta3
Requires:	speexdsp >= 1.2-beta3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the oRTP library.

%description -l pl.UTF-8
Mediastreamer2 to udostępniona na licencji GPL biblioteka do
przesyłania i przetwarzania strumieni audio/video w czasie
rzeczywistym. Jest napisana w czystym C, oparta na bibliotece oRTP.

%package devel
Summary:	Header files and development documentation for mediastreamer library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki mediastreamer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_opengl:Requires:	OpenGL-devel}
%{?with_alsa:Requires:	alsa-lib-devel}
%{?with_bcg729:Requires:	bcg729-devel >= 1.0}
%{?with_zrtp:Requires:	bzrtp-devel >= 1.0.0}
Requires:	ffmpeg-devel
%{?with_opengl:Requires:	glew-devel >= 1.5}
Requires:	libtheora-devel >= 1.0-0.alpha7
Requires:	libupnp-devel >= 1.6
Requires:	libupnp-devel < 1.7
Requires:	libv4l-devel
Requires:	libvpx-devel >= 0.9.6
%{?with_matroska:Requires:	matroska-foundation-devel}
Requires:	opus-devel >= 0.9.0
Requires:	ortp-devel >= 0.24.0
Requires:	polarssl-devel
%{?with_portaudio:Requires:	portaudio-devel}
%{?with_pulseaudio:Requires:	pulseaudio-devel >= 0.9.21}
Requires:	spandsp-devel >= 0.0.6
Requires:	speex-devel >= 1:1.2-beta3
Requires:	speexdsp-devel >= 1.2-beta3
%{?with_srtp:Requires:	srtp-devel}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXv-devel

%description devel
Header files and development documentation for mediastreamer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki mediastreamer.

%package static
Summary:	Static mediastreamer library
Summary(pl.UTF-8):	Statyczna biblioteka mediastreamer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mediastreamer library.

%description static -l pl.UTF-8
Statyczna biblioteka mediastreamer.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-alsa%{!?with_alsa:=no} \
	%{?with_arts:--enable-artsc} \
	%{?with_bcg729:--enable-bcg729} \
	--enable-external-ortp \
	%{!?with_opengl:--disable-glx} \
	%{!?with_matroska:--disable-matroska} \
	%{?with_pcap:--enable-pcap} \
	%{?with_portaudio:--enable-portaudio} \
	--enable-pulseaudio%{!?with_pulseaudio:=no} \
	--disable-silent-rules \
	--enable-static \
	%{!?with_zrtp:--disable-zrtp} \
	%{!?with_srtp:--with-srtp=none}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for external plugins
install -d $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins

# Remove duplicated documentation
%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/html

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mediastream
%attr(755,root,root) %{_bindir}/msaudiocmp
%{?with_pcap:%attr(755,root,root) %{_bindir}/pcap_playback}
%attr(755,root,root) %{_libdir}/libmediastreamer_base.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmediastreamer_base.so.4
%attr(755,root,root) %{_libdir}/libmediastreamer_voip.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmediastreamer_voip.so.4
%dir %{_libdir}/mediastreamer
%dir %{_libdir}/mediastreamer/plugins
%{_pixmapsdir}/%{name}

%files devel
%defattr(644,root,root,755)
%doc help/doc/html
%attr(755,root,root) %{_libdir}/libmediastreamer_base.so
%attr(755,root,root) %{_libdir}/libmediastreamer_voip.so
%{_libdir}/libmediastreamer_base.la
%{_libdir}/libmediastreamer_voip.la
%{_includedir}/mediastreamer2
%{_pkgconfigdir}/mediastreamer.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmediastreamer_base.a
%{_libdir}/libmediastreamer_voip.a
%changelog
* Thu Jul 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer.git;a=log;h=master

* Thu Jul 30 2015 Jakub Bogusz <qboosh@pld-linux.org> b49a551
- added matroska support, release 4

* Tue Jul 14 2015 Jan Rękorajski <baggins@pld-linux.org> d6ba94a
- release 3 (by relup.sh)

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> a9b5d65
- rel 2

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> e8796ed
- rel 1,1 for intermediate build

* Tue Jul 07 2015 Jakub Bogusz <qboosh@pld-linux.org> d1086c6
- handle bzrtp

* Tue Jul 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 574e0d8
- started update to 2.11.2 (note: new sonames)

* Sat May 23 2015 Jan Rękorajski <baggins@pld-linux.org> e2f4fc5
- release 4 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> bd0cd8c
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> f52b820
- speex epoch

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> fed1d2a
- requires speexdsp

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c07fcba
- updated gettext BR

* Sat Oct 11 2014 Jan Rękorajski <baggins@pld-linux.org> 51e3eef
- release 2 (by relup.sh)

* Sun Mar 02 2014 Jakub Bogusz <qboosh@pld-linux.org> aa0ebe9
- updated to 2.10.0

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 3bec04b
- release 5 (by relup.sh)

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> af88f9f
- rebuild with ffmpeg 2.0.1
- release 4 (by relup.sh)

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> dcc81ca
- typo fix (dir should be mediastreamer/plugins)
- release 3

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 86721f5
- added dir for mediaserver plugins
- release 2

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> e6d0cff
- typo

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 2adf1e0
- proper License tag (GPL v2+)
- pl
- completed dependencies
- enable pulseaudio by default

* Mon Jun 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> a1750c3
- missing imagedir.patch added

